Get a user

Returns a single user by identity-provider user ID. Requires user:read or usermanagement.read. Returns 404 if the user has no access to the current customer.

Request

GET /user/{auth0UserId}

Path Parameters

ParameterTypeRequiredDescription
auth0UserIdstringYesUser ID (for example auth0|abc123 or an SSO id).

Headers

HeaderValue
AuthorizationBearer <token> (or HMAC headers, see Authentication)

Response

Response Body

FieldTypeDescription
user_idstringIdentity-provider user ID.
emailstringEmail address.
instancesobjectMap of instance id (or "*") to arrays of role IDs for this customer.
multiple_domainsbooleantrue if the user has access to more than one Makaira customer.
is_external_ssobooleantrue when user_id does not contain auth0|.

Example Response

{
  "user_id": "auth0|abc123",
  "email": "[email protected]",
  "multiple_domains": false,
  "is_external_sso": false,
  "instances": {
    "*": ["rol_xyz"]
  }
}
Path Params
string
required
Response
200

Successful response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!